package org.apache.maven.index.treeview;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0    
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import java.io.IOException;
import java.util.List;

public interface TreeNode
{
    public enum Type
    {
        G, A, V, artifact
    };

    Type getType();

    void setType( Type t );

    boolean isLeaf();

    void setLeaf( boolean leaf );

    String getNodeName();

    void setNodeName( String name );

    String getPath();

    void setPath( String path );

    String getGroupId();

    void setGroupId( String groupId );

    String getArtifactId();

    void setArtifactId( String artifactId );

    String getVersion();

    void setVersion( String version );

    String getRepositoryId();

    void setRepositoryId( String repositoryId );

    List<TreeNode> getChildren();

    List<TreeNode> listChildren()
        throws IOException;

    TreeNode findChildByPath( String path, Type type )
        throws IOException;
}
